<?php
// Copyright 2003 by Won-Kyu Park <wkpark at kldp.org>
// All rights reserved. Distributable under GPL see COPYING
// a python colorizer plugin for the MoniWiki
//
// Usage: {{{#!python Name
// print 'Hello world'
// }}}
// $Id: python.php,v 1.5 2004/04/08 18:23:44 wkpark Exp $

function processor_python($formatter,$value="") {

  if ($value[0]=='#' and $value[1]=='!')
    $value="#!vim ".substr($value,2);
  else
    $value="#!vim python\n".$value;
  # get parameters
  return $formatter->processor_repl('vim',$value);
}

?>
